"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRecordLocking = void 0;
var _error = require("@webiny/error");
var _react = require("react");
var _RecordLockingProvider = require("../components/RecordLockingProvider");
var useRecordLocking = exports.useRecordLocking = function useRecordLocking() {
  var context = (0, _react.useContext)(_RecordLockingProvider.RecordLockingContext);
  if (!context) {
    throw new _error.WebinyError("useRecordLocking must be used within a RecordLockingProvider.");
  }
  return context;
};

//# sourceMappingURL=useRecordLocking.js.map